VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ResourcePoolTypes::Info Class Reference

The `ResourcePool.Info` class contains information about a resource pool. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
string | GetName ()
| Name of the vCenter Server resource pool.
void | SetName (string name)
| Name of the vCenter Server resource pool.
global::System.Collections.Generic.HashSet < string > | GetResourcePools ()
| Identifiers of the child resource pools contained in this resource pool.
void | SetResourcePools (global::System.Collections.Generic.HashSet< string > resourcePools)
| Identifiers of the child resource pools contained in this resource pool.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ResourcePool.Info` class contains information about a resource pool.

## Constructor & Destructor Documentation

vmware::vcenter::ResourcePoolTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ResourcePoolTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ResourcePoolTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ResourcePoolTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ResourcePoolTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ResourcePoolTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ResourcePoolTypes::Info::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vcenter::ResourcePoolTypes::Info::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ResourcePoolTypes::Info::GetName | ( |  | ) | `[inline]`

Name of the vCenter Server resource pool.

global::System.Collections.Generic.HashSet<string> vmware::vcenter::ResourcePoolTypes::Info::GetResourcePools | ( |  | ) | `[inline]`

Identifiers of the child resource pools contained in this resource pool.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `ResourcePool` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `ResourcePool` .

void vmware::vcenter::ResourcePoolTypes::Info::SetName | ( | string | name | ) | `[inline]`

Name of the vCenter Server resource pool.

void vmware::vcenter::ResourcePoolTypes::Info::SetResourcePools | ( | global::System.Collections.Generic.HashSet< string > | resourcePools | ) | `[inline]`

Identifiers of the child resource pools contained in this resource pool.

When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `ResourcePool` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `ResourcePool` .

override string vmware::vcenter::ResourcePoolTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ResourcePoolTypes.cs